com.google.gwt.aria.client

## Class TextboxRoleImpl

- java.lang.Object
- - com.google.gwt.aria.client.RoleImpl
  - - com.google.gwt.aria.client.TextboxRoleImpl

- All Implemented Interfaces:
    InputRole, Role, TextboxRole, WidgetRole

      class TextboxRoleImpl
      extends RoleImpl
      implements TextboxRole

  Implements `TextboxRole`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextboxRoleImpl(java.lang.String roleName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAriaActivedescendantProperty(Element element)` Returns the value of the aria-activedescendant attribute for the `element` or "" if no such attribute is present.
    `java.lang.String` | `getAriaAutocompleteProperty(Element element)` Returns the value of the aria-autocomplete attribute for the `element` or "" if no such attribute is present.
    `java.lang.String` | `getAriaMultilineProperty(Element element)` Returns the value of the aria-multiline attribute for the `element` or "" if no such attribute is present.
    `java.lang.String` | `getAriaReadonlyProperty(Element element)` Returns the value of the aria-readonly attribute for the `element` or "" if no such attribute is present.
    `java.lang.String` | `getAriaRequiredProperty(Element element)` Returns the value of the aria-required attribute for the `element` or "" if no such attribute is present.
    `void` | `removeAriaActivedescendantProperty(Element element)` Removes the aria-activedescendant attribute from the `element`.
    `void` | `removeAriaAutocompleteProperty(Element element)` Removes the aria-autocomplete attribute from the `element`.
    `void` | `removeAriaMultilineProperty(Element element)` Removes the aria-multiline attribute from the `element`.
    `void` | `removeAriaReadonlyProperty(Element element)` Removes the aria-readonly attribute from the `element`.
    `void` | `removeAriaRequiredProperty(Element element)` Removes the aria-required attribute from the `element`.
    `void` | `setAriaActivedescendantProperty(Element element, Id value)` Sets the aria-activedescendant attribute for the `element` to the given `value`.
    `void` | `setAriaAutocompleteProperty(Element element, AutocompleteValue value)` Sets the aria-autocomplete attribute for the `element` to the given `value`.
    `void` | `setAriaMultilineProperty(Element element, boolean value)` Sets the aria-multiline attribute for the `element` to the given `value`.
    `void` | `setAriaReadonlyProperty(Element element, boolean value)` Sets the aria-readonly attribute for the `element` to the given `value`.
    `void` | `setAriaRequiredProperty(Element element, boolean value)` Sets the aria-required attribute for the `element` to the given `value`.

    - ### Methods inherited from class com.google.gwt.aria.client.RoleImpl

      `getAriaAtomicProperty, getAriaBusyState, getAriaControlsProperty, getAriaDescribedbyProperty, getAriaDisabledState, getAriaDropeffectProperty, getAriaFlowtoProperty, getAriaGrabbedState, getAriaHaspopupProperty, getAriaHiddenState, getAriaInvalidState, getAriaLabelledbyProperty, getAriaLabelProperty, getAriaLiveProperty, getAriaOwnsProperty, getAriaRelevantProperty, getName, getTabindexExtraAttribute, remove, removeAriaAtomicProperty, removeAriaBusyState, removeAriaControlsProperty, removeAriaDescribedbyProperty, removeAriaDisabledState, removeAriaDropeffectProperty, removeAriaFlowtoProperty, removeAriaGrabbedState, removeAriaHaspopupProperty, removeAriaHiddenState, removeAriaInvalidState, removeAriaLabelledbyProperty, removeAriaLabelProperty, removeAriaLiveProperty, removeAriaOwnsProperty, removeAriaRelevantProperty, removeTabindexExtraAttribute, set, setAriaAtomicProperty, setAriaBusyState, setAriaControlsProperty, setAriaDescribedbyProperty, setAriaDisabledState, setAriaDropeffectProperty, setAriaFlowtoProperty, setAriaGrabbedState, setAriaHaspopupProperty, setAriaHiddenState, setAriaInvalidState, setAriaLabelledbyProperty, setAriaLabelProperty, setAriaLiveProperty, setAriaOwnsProperty, setAriaRelevantProperty, setTabindexExtraAttribute`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.gwt.aria.client.Role

      `getAriaAtomicProperty, getAriaBusyState, getAriaControlsProperty, getAriaDescribedbyProperty, getAriaDisabledState, getAriaDropeffectProperty, getAriaFlowtoProperty, getAriaGrabbedState, getAriaHaspopupProperty, getAriaHiddenState, getAriaInvalidState, getAriaLabelledbyProperty, getAriaLabelProperty, getAriaLiveProperty, getAriaOwnsProperty, getAriaRelevantProperty, getName, getTabindexExtraAttribute, remove, removeAriaAtomicProperty, removeAriaBusyState, removeAriaControlsProperty, removeAriaDescribedbyProperty, removeAriaDisabledState, removeAriaDropeffectProperty, removeAriaFlowtoProperty, removeAriaGrabbedState, removeAriaHaspopupProperty, removeAriaHiddenState, removeAriaInvalidState, removeAriaLabelledbyProperty, removeAriaLabelProperty, removeAriaLiveProperty, removeAriaOwnsProperty, removeAriaRelevantProperty, removeTabindexExtraAttribute, set, setAriaAtomicProperty, setAriaBusyState, setAriaControlsProperty, setAriaDescribedbyProperty, setAriaDisabledState, setAriaDropeffectProperty, setAriaFlowtoProperty, setAriaGrabbedState, setAriaHaspopupProperty, setAriaHiddenState, setAriaInvalidState, setAriaLabelledbyProperty, setAriaLabelProperty, setAriaLiveProperty, setAriaOwnsProperty, setAriaRelevantProperty, setTabindexExtraAttribute`

- - ### Constructor Detail

    - #### TextboxRoleImpl

          TextboxRoleImpl(java.lang.String roleName)

  - ### Method Detail

    - #### getAriaActivedescendantProperty

          public java.lang.String getAriaActivedescendantProperty(Element element)

      Description copied from interface: `TextboxRole`
      Returns the value of the aria-activedescendant attribute for the `element` or "" if no such attribute is present.
      Specified by:
        `getAriaActivedescendantProperty` in interface `TextboxRole`

    - #### getAriaAutocompleteProperty

          public java.lang.String getAriaAutocompleteProperty(Element element)

      Description copied from interface: `TextboxRole`
      Returns the value of the aria-autocomplete attribute for the `element` or "" if no such attribute is present.
      Specified by:
        `getAriaAutocompleteProperty` in interface `TextboxRole`

    - #### getAriaMultilineProperty

          public java.lang.String getAriaMultilineProperty(Element element)

      Description copied from interface: `TextboxRole`
      Returns the value of the aria-multiline attribute for the `element` or "" if no such attribute is present.
      Specified by:
        `getAriaMultilineProperty` in interface `TextboxRole`

    - #### getAriaReadonlyProperty

          public java.lang.String getAriaReadonlyProperty(Element element)

      Description copied from interface: `TextboxRole`
      Returns the value of the aria-readonly attribute for the `element` or "" if no such attribute is present.
      Specified by:
        `getAriaReadonlyProperty` in interface `TextboxRole`

    - #### getAriaRequiredProperty

          public java.lang.String getAriaRequiredProperty(Element element)

      Description copied from interface: `TextboxRole`
      Returns the value of the aria-required attribute for the `element` or "" if no such attribute is present.
      Specified by:
        `getAriaRequiredProperty` in interface `TextboxRole`

    - #### removeAriaActivedescendantProperty

          public void removeAriaActivedescendantProperty(Element element)

      Description copied from interface: `TextboxRole`
      Removes the aria-activedescendant attribute from the `element`.
      Specified by:
        `removeAriaActivedescendantProperty` in interface `TextboxRole`

    - #### removeAriaAutocompleteProperty

          public void removeAriaAutocompleteProperty(Element element)

      Description copied from interface: `TextboxRole`
      Removes the aria-autocomplete attribute from the `element`.
      Specified by:
        `removeAriaAutocompleteProperty` in interface `TextboxRole`

    - #### removeAriaMultilineProperty

          public void removeAriaMultilineProperty(Element element)

      Description copied from interface: `TextboxRole`
      Removes the aria-multiline attribute from the `element`.
      Specified by:
        `removeAriaMultilineProperty` in interface `TextboxRole`

    - #### removeAriaReadonlyProperty

          public void removeAriaReadonlyProperty(Element element)

      Description copied from interface: `TextboxRole`
      Removes the aria-readonly attribute from the `element`.
      Specified by:
        `removeAriaReadonlyProperty` in interface `TextboxRole`

    - #### removeAriaRequiredProperty

          public void removeAriaRequiredProperty(Element element)

      Description copied from interface: `TextboxRole`
      Removes the aria-required attribute from the `element`.
      Specified by:
        `removeAriaRequiredProperty` in interface `TextboxRole`

    - #### setAriaActivedescendantProperty

          public void setAriaActivedescendantProperty(Element element,
                                                      Id value)

      Description copied from interface: `TextboxRole`
      Sets the aria-activedescendant attribute for the `element` to the given `value`.
      Specified by:
        `setAriaActivedescendantProperty` in interface `TextboxRole`

    - #### setAriaAutocompleteProperty

          public void setAriaAutocompleteProperty(Element element,
                                                  AutocompleteValue value)

      Description copied from interface: `TextboxRole`
      Sets the aria-autocomplete attribute for the `element` to the given `value`.
      Specified by:
        `setAriaAutocompleteProperty` in interface `TextboxRole`

    - #### setAriaMultilineProperty

          public void setAriaMultilineProperty(Element element,
                                               boolean value)

      Description copied from interface: `TextboxRole`
      Sets the aria-multiline attribute for the `element` to the given `value`.
      Specified by:
        `setAriaMultilineProperty` in interface `TextboxRole`

    - #### setAriaReadonlyProperty

          public void setAriaReadonlyProperty(Element element,
                                              boolean value)

      Description copied from interface: `TextboxRole`
      Sets the aria-readonly attribute for the `element` to the given `value`.
      Specified by:
        `setAriaReadonlyProperty` in interface `TextboxRole`

    - #### setAriaRequiredProperty

          public void setAriaRequiredProperty(Element element,
                                              boolean value)

      Description copied from interface: `TextboxRole`
      Sets the aria-required attribute for the `element` to the given `value`.
      Specified by:
        `setAriaRequiredProperty` in interface `TextboxRole`